export function initPages() {
    document.querySelectorAll('.delete-page-btn').forEach(button => {
        button.addEventListener('click', () => {
            const pageId = button.dataset.id;
            if (confirm("Voulez-vous vraiment supprimer cette page ?")) {
                const params = new URLSearchParams();
                params.append("pageId", pageId);

                fetch("/Projet/SupprimerPage", {
                    method: "POST",
                    headers: { "Content-Type": "application/x-www-form-urlencoded" },
                    body: params
                }).then(response => {
                    if (response.ok) {
                        location.reload();
                    } else {
                        console.error("Erreur lors de la suppression de la page.");
                    }
                });
            }
        });
    });
}

export function createNewPage(titre, pageId) {
  const params = new URLSearchParams();
  params.append("titre", titre);
  params.append("pageId", pageId);

  return fetch("/Projet/NouvellePageDirect", {
    method: "POST",
    headers: {
      "Content-Type": "application/x-www-form-urlencoded"
    },
    body: params.toString()
  })
  .then(response => response.json());
}